val.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

FloatValBranch | Gecode::FLOAT_VAL_SPLIT_MIN (void)
| Select values not greater than mean of smallest and largest value.
FloatValBranch | Gecode::FLOAT_VAL_SPLIT_MAX (void)
| Select values greater than mean of smallest and largest value.
FloatValBranch | Gecode::FLOAT_VAL_SPLIT_RND (Rnd r)
| Select values randomly which are not greater or not smaller than mean of largest and smallest value.
FloatValBranch | Gecode::FLOAT_VAL (FloatBranchVal v, FloatBranchCommit c=nullptr)